<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: /home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_imx31_lx.h Source File</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/slot_imx31_lx.h</h1><div class="fragment"><pre>00001 <span class="comment">/*</span>
00002 <span class="comment"> * Linux i.MX27 slot driver platform data definitions.</span>
00003 <span class="comment"> *</span>
00004 <span class="comment"> * Copyright (C) 2007 Cambridge Silicon Radio Ltd.</span>
00005 <span class="comment"> *</span>
00006 <span class="comment"> * Refer to LICENSE.txt included with this source code for details on</span>
00007 <span class="comment"> * the license terms.</span>
00008 <span class="comment"> */</span>
00009 <span class="preprocessor">#ifndef _SLOT_IMX31_LX_H</span>
00010 <span class="preprocessor"></span><span class="preprocessor">#define _SLOT_IMX31_LX_H</span>
00011 <span class="preprocessor"></span>
00012 <span class="preprocessor">#include "sdio_layer.h"</span>
00013 
00014 <span class="keyword">struct </span>imx_sdio_plat_data {
00015     <span class="keywordtype">int</span> max_bus_width;
00016     int (*card_power)(<span class="keyword">struct </span>platform_device *, <span class="keyword">enum</span> <a class="code" href="group__sdriver.html#ga32">sdio_power</a>);
00017     int (*card_present)(<span class="keyword">struct </span>platform_device *);
00018 };
00019 
00020 <span class="preprocessor">#endif </span><span class="comment">/* #ifndef _SLOT_IMX31_LX_H */</span>
</pre></div><hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
